Products
- : Access Younium API
Skip number of records
10Take number of records
5Filter the resulsts. See ODATA documentation for more information
name eq 'Adam' and age gt 20Sorting the results. See ODATA specificaion for more information
nameSuccess
Bad Request.
Unauthorized
Forbidden
GET /Products HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"productNumber": "text",
"name": "text",
"productType": "Simple",
"category": "text",
"activationDate": "2026-01-01T00:00:00.000Z",
"endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
"endOfRenewalDate": "2026-01-01T00:00:00.000Z",
"endOfLifeDate": "2026-01-01T00:00:00.000Z",
"isFrameworkProduct": true,
"chargePlans": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"chargePlanNumber": "text",
"name": "text",
"effectiveStartDate": "2026-01-01T00:00:00.000Z",
"endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
"effectiveEndDate": "2026-01-01T00:00:00.000Z",
"charges": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"chargeNumber": "C-000001",
"name": "text",
"model": "Flat",
"chargeType": "OneOff",
"unitCode": "text",
"defaultQuantity": 1,
"pricePeriod": "Monthly",
"usageRating": "Sum",
"createInvoiceLinesPerTier": true,
"billingDay": "None",
"specificBillingDay": 1,
"billingPeriod": "Monthly",
"periodAlignment": "None",
"billingTiming": "InAdvance",
"taxTemplate": "text",
"taxIncluded": true,
"externalERPId": "text",
"externalCRMId": "text",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"revenueRecognition": "text",
"deferredRevenueAccount": "text",
"recognizedRevenueAccount": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"priceDetails": [
{
"currency": "text",
"price": 1,
"tier": 1,
"description": "text",
"fromQuantity": 1,
"toQuantity": 1,
"priceBase": "Flat"
}
],
"features": [
{
"code": "text",
"description": "text"
}
]
}
],
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
],
"externalERPId": "text",
"externalCRMId": "text",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]- : Access Younium API
Created
Bad Request.
Unauthorized
Forbidden
POST /Products HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1057
{
"productType": "Simple",
"chargePlans": [
{
"charges": [
{
"PriceDetails": [
{
"isInfinite": true,
"currency": "SEK",
"price": 1,
"description": "text",
"priceBase": "Flat",
"tier": 1,
"toQuantity": 1
}
],
"features": [
{
"feature": {
"key": "text",
"value": "text"
}
}
],
"name": "text",
"model": "Flat",
"chargeType": "OneOff",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"externalCRMId": "text",
"externalERPId": "text",
"unit": "pcs",
"pricePeriod": "Monthly",
"usageRating": "Sum",
"measurementsRule": "LatestDate",
"defaultQuantity": 1,
"billingPeriod": "Monthly",
"periodAlignment": "None",
"billingDay": "None",
"billingTiming": "InAdvance",
"specificBillingDay": 1,
"offsetBillingDays": 1,
"taxIncluded": true,
"revenueRecognition": {
"key": "text",
"value": "text"
},
"taxTemplate": "Sweden standard",
"deferredRevenueAccount": "1510",
"recognizedRevenueAccount": "1510"
}
],
"name": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
],
"name": "text",
"category": "Add-on",
"activationDate": "2026-01-01T00:00:00.000Z",
"externalERPId": "text",
"externalCRMId": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"message": "text"
}- : Access Younium API
No Content
No content
Bad Request.
Unauthorized
Forbidden
Not Found
PATCH /Products/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 1205
{
"productType": "Simple",
"chargePlans": [
{
"operation": "Change",
"chargePlan": "CP-000001",
"charges": [
{
"charge": {
"key": "text",
"value": "text"
},
"operation": "Change",
"PriceDetails": [
{
"operation": "Change",
"isInfinite": true,
"currency": "SEK",
"price": 1,
"description": "text",
"priceBase": "Flat",
"tier": 1,
"toQuantity": 1
}
],
"features": [
{
"operation": "Remove",
"feature": {
"key": "text",
"value": "text"
}
}
],
"name": "text",
"model": "Flat",
"chargeType": "OneOff",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"externalCRMId": "text",
"externalERPId": "text",
"unit": "pcs",
"pricePeriod": "Monthly",
"usageRating": "Sum",
"measurementsRule": "LatestDate",
"defaultQuantity": 1,
"billingPeriod": "Monthly",
"periodAlignment": "None",
"billingDay": "None",
"billingTiming": "InAdvance",
"specificBillingDay": 1,
"offsetBillingDays": 1,
"taxIncluded": true,
"revenueRecognition": {
"key": "text",
"value": "text"
},
"taxTemplate": "Sweden standard",
"deferredRevenueAccount": "1510",
"recognizedRevenueAccount": "1510"
}
],
"name": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
],
"name": "text",
"category": "Add-on",
"activationDate": "2026-01-01T00:00:00.000Z",
"externalERPId": "text",
"externalCRMId": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}No content
A product can only be deleted if it's not in use on any active orders.
- : Access Younium API
Success
No content
Bad Request.
Unauthorized
Forbidden
Not Found
DELETE /Products/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
- : Access Younium API
Success
Bad Request.
Unauthorized
Forbidden
Not Found
GET /Products/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"productNumber": "text",
"name": "text",
"productType": "Simple",
"category": "text",
"activationDate": "2026-01-01T00:00:00.000Z",
"endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
"endOfRenewalDate": "2026-01-01T00:00:00.000Z",
"endOfLifeDate": "2026-01-01T00:00:00.000Z",
"isFrameworkProduct": true,
"chargePlans": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"chargePlanNumber": "text",
"name": "text",
"effectiveStartDate": "2026-01-01T00:00:00.000Z",
"endOfNewSalesDate": "2026-01-01T00:00:00.000Z",
"effectiveEndDate": "2026-01-01T00:00:00.000Z",
"charges": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"chargeNumber": "C-000001",
"name": "text",
"model": "Flat",
"chargeType": "OneOff",
"unitCode": "text",
"defaultQuantity": 1,
"pricePeriod": "Monthly",
"usageRating": "Sum",
"createInvoiceLinesPerTier": true,
"billingDay": "None",
"specificBillingDay": 1,
"billingPeriod": "Monthly",
"periodAlignment": "None",
"billingTiming": "InAdvance",
"taxTemplate": "text",
"taxIncluded": true,
"externalERPId": "text",
"externalCRMId": "text",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"revenueRecognition": "text",
"deferredRevenueAccount": "text",
"recognizedRevenueAccount": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"priceDetails": [
{
"currency": "text",
"price": 1,
"tier": 1,
"description": "text",
"fromQuantity": 1,
"toQuantity": 1,
"priceBase": "Flat"
}
],
"features": [
{
"code": "text",
"description": "text"
}
]
}
],
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
],
"externalERPId": "text",
"externalCRMId": "text",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}- : Access Younium API
No Content
No content
Bad Request.
Unauthorized
Forbidden
Not Found
PATCH /Products/charges/{chargeId} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 798
{
"PriceDetails": [
{
"operation": "Change",
"isInfinite": true,
"currency": "SEK",
"price": 1,
"description": "text",
"priceBase": "Flat",
"tier": 1,
"toQuantity": 1
}
],
"features": [
{
"operation": "Remove",
"feature": {
"key": "text",
"value": "text"
}
}
],
"name": "text",
"model": "Flat",
"chargeType": "OneOff",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"externalCRMId": "text",
"externalERPId": "text",
"unit": "pcs",
"pricePeriod": "Monthly",
"usageRating": "Sum",
"measurementsRule": "LatestDate",
"defaultQuantity": 1,
"billingPeriod": "Monthly",
"periodAlignment": "None",
"billingDay": "None",
"billingTiming": "InAdvance",
"specificBillingDay": 1,
"offsetBillingDays": 1,
"taxIncluded": true,
"revenueRecognition": {
"key": "text",
"value": "text"
},
"taxTemplate": "Sweden standard",
"deferredRevenueAccount": "1510",
"recognizedRevenueAccount": "1510"
}No content
A charge plan can only be deleted if it's not in use on any active orders.
- : Access Younium API
Success
No content
Bad Request.
Unauthorized
Forbidden
Not Found
DELETE /Products/chargePlans/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
A charge can only be deleted if it's not in use on any active orders.
- : Access Younium API
Success
No content
Bad Request.
Unauthorized
Forbidden
Not Found
DELETE /Products/charges/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Last updated